Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.adventure.actions.custom
Class ShowScreen

    java.lang.Object
      de.rico.adventure.actions.AbstractAction
          de.rico.adventure.actions.custom.ShowScreen

Deprecated. Somehow this game action does not get the same result on every graphics hardware. On some machines the screen looks alright, on others it looks distorted and in some cases the screen simply turn black. As long as the problem exists this game action will stay deprecated!

    @Deprecated
    public class ShowScreen

extends AbstractAction

This game action can be used to show a full screen image for the specified amount of time.

Author:
  Frank Bruns

Constructor Summary
`ShowScreen(java.lang.String imgFile, int duration)` Deprecated. Creates the game action with the specified file path to the image file that ought to be displayed on the full game screen.
`ShowScreen(java.lang.String imgFile, java.lang.String mp3File, int duration)` Deprecated. Creates the game action with the specified file path to the image file that ought to be displayed on the full game screen.

Method Summary
`void` | `draw(javax.media.opengl.GL gl)` Deprecated. This method renders the game action, if needed.
`void` | `finishUp()` Deprecated. Implementations of this method hold code that needs to be called before the game action can be removed from the queue (prematurely) without causing side effects.
`void` | `update(long elapsedTime)` Deprecated. This method updates the game action

Methods inherited from class de.rico.adventure.actions.AbstractAction
`getEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowScreen

    public ShowScreen(java.lang.String imgFile,
                      int duration)

  Deprecated.
  Creates the game action with the specified file path to the image file that ought to be displayed on the full game screen.

  Parameters:
    `imgFile` - path to image file
    `duration` - duration of time to display the image

### ShowScreen

    public ShowScreen(java.lang.String imgFile,
                      java.lang.String mp3File,
                      int duration)

  Deprecated.
  Creates the game action with the specified file path to the image file that ought to be displayed on the full game screen. You can specify a mp3 sound file for the screen, too. But note that the screen doesn't wait for the sound file to finish. As soon as the specified duration time has elapsed the screen disappears and the sound file gets killed.

  Parameters:
    `imgFile` - path to image file
    `mp3File` - path to mp3 sound file
    `duration` - duration of time to display the image

Method Detail

### update

    public void update(long elapsedTime)

  Deprecated.
  Description copied from class: `AbstractAction`
  This method updates the game action

  Specified by:
    `update` in class `AbstractAction`
  Parameters:
    `elapsedTime` - time between two frames

### draw

    public void draw(javax.media.opengl.GL gl)

  Deprecated.
  Description copied from class: `AbstractAction`
  This method renders the game action, if needed.

  Specified by:
    `draw` in class `AbstractAction`

### finishUp

    public void finishUp()

  Deprecated.
  Description copied from class: `AbstractAction`
  Implementations of this method hold code that needs to be called before the game action can be removed from the queue (prematurely) without causing side effects.

  Specified by:
    `finishUp` in class `AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD